<?php
// WebJaxe, Observatoire de Paris, licence GPL
// encodage : UTF-8

// session
define("PAS_DE_SESSION", "The session expired or you did not login. Please go to the login page.");

// parametres GET ou POST
define("PARAMETRES_MANQUANT", "Some parameters are missing in the query");

//installation
define("SERVEUR_WEB", "Serveur web");
define("NOM_BASE_DONNEES", "Database name");
define("LOGIN_BD", "Database login");
define("PASSWD_BD", "Database password"); 
define("LOGIN_ADMIN", "WebJaxe administrator login");
define("NOM_ADMIN", "WebJaxe administrator lastname"); 
define("PRENOM_ADMIN", "WebJaxe administrator firstname"); 
define("PASSWD_ADMIN", "WebJaxe administrator password");
define("EMAIL_ADMIN", "From field for WebJaxe emails");
define("CREER_BD", "Create WebJaxe database");
define("CREATION_BD_REUSSI", "The database has been setup.");
define( "BDD_EXISTE_DEJA", "The database already exists.");
define( "MAJ_NECESSAIRE", "The database must be updated by the administrator.");
define( "BDD_MAJ", "The database has been successfully updated.");
define( "GESTION_MAIL", "Mail management");
define( "PAS_MAIL", "Disabled");
define( "UTILISER_MAIL_PHP", "PHP mail function");
define( "UTILISER_SMTP", "SMTP server");
define( "SERVEUR_SMTP", "SMTP server address");
define( "FAUT_AJOUTER_EMAIL", "WARNING: You must add your email address");

define("ACCUEIL", "Go to home page");
//desinstallation
define("DESINSTALLATION", "Uninstall");
define("DESINTALLATION_FINIT", "Uninstall complete.");

// index.php
define("CONNEXION", "Connection to WebJaxe");
define("ENTRER", "Enter");
define("AUTEURS_SANS_IDENTIFIANT", "For new authors");
define("S_INSCRIRE", "Fill in the form");
define("MAUVAIS_LOGIN", "Wrong login or password.");

// creation_compte_temporaire.php
define("VOUS_ETES_ENREGISTRE", ": you are registered.");
define("ATTENDRE_ACTIVATION", "You have to wait for the administrator to activate your account.");

//ajout_contribution.php
define("CONTRIB_AJOUT", "The contribution has been created.");

//ajouter_sous_repertoire
define("SOUS_REPERTOIRE_AJOUT", "The subdirectory has been created");

//cadre_edition_xml
define("TITRE_EDITION", "Edit a contribution");

//liste_contributions
define("LISTE_CONTRIBUTIONS", "List of contributions");
define("FICHIER_ZIP", "Zip file");
define("IMPORT_CONTRIBUTION", "Import new contribution");
define("IMPORTER", "Import");
define("ZIP_NON_TROUVE", "The zip file was not found. Maybe it is too large to upload according to PHP parameters.");
define("CONTENU_ZIP", "The zip file must contain the contribution folder, with an XML document of the same name inside.");
define("CONTRIBUTION_IMPORTEE", "The new contribution has been imported.");

// nouvelle_contribution
define("NOUVELLE_CONTRIBUTION", "New contribution");
define("PROJET", "Project");
define("TITRE_PROJET", "Project title :");
define("CONFIGURATION_JAXE", "Jaxe Configuration");
define("PROJET_CREE", "The project has been created.");

// nouveau projet
define("NOUVEAU_PROJET", "New project");
define("IMPORT_PROJET", "Import new project");
define("PROJET_IMPORTE", "The new project has been imported");
define("CONTENU_ZIP_PROJET", "The zip file must contain the project directory, with the contribution directories inside.");
define("ERR_TAILLE_MAX_POST", "The maximum size of POST data is exceed! Check php.ini file");

// préférence
define("PREFERENCES", "Preferences");

// changer la langue
define("CHANGER_LANGUE", "Change language");
define("LANGUE_MODIFIEE", "Language changed. Reload the page to apply changes!");

// changer mdp
define("CHANGER_MDP", "Change password");
define("ANCIEN_MDP", "Old password");
define("NOUVEAU_MDP", "New password");
define("NOUVEAU_MDP_BIS", "Retype new password");
define("MDP_MODIFIE", "Password changed");
define("MAUVAIS_MDP", "Wrong password");

// changer l'email
define("CHANGER_EMAIL", "Change the email");
define("CONFIRMER_EMAIL", "Confirm E-mail");
define("EMAIL_MODIFIE", "Email changed");
define("EMAIL_PAS_IDENTIQUE", "Not identical emails");

//edition_contribution
define("EDITER_FICHIER_XML", "Edit XML document");
define("EDITION_CONTRIBUTION", "Edit contribution");
//define("OPERATIONS", "Operations:");
define("EDITER_FICHIER_ASSOCIES", "Associated files");
define("VOIR_APERCU", "View generated website");
define("GENERER_APERCU", "Generate website");
define("SUPPRIMER_CONTRIBUTION", "Remove contribution");
define("VRAIMENT_SUPPRIMER_CONTRIBUTION", "Do you really want to delete this contribution ?");
define("VRAIMENT_SUPPRIMER_CONTRIBUTION_BIS", "Do you really want to delete the contribution ");
define("EXPORTER", "Export");
define("EXPORTER_CONTRIBUTION", "Export contribution");
define("HISTORIQUE", "Changes history");
define("EFFACER_SITE", "Delete generated website");
define("EXPORTER_SITE", "Export generated website");
define("RENOMMER_CONTRIBUTION", "Rename contribution");

// page_edition_xml
define("EDITION_FICHIER", "edit file");
define("PAS_FERMER_FENETRE", "Do not close this window or change the page while editing with Jaxe");
define("OUVRIR_FICHIERS_ASSOCIES", "Open the associated files page in another window");

//
define("CHANGEMENT_REUSSI", "Change succeded");

// administration_projets
define("GESTION_PROJETS", "Projects administration");
define("CONTRIBUTIONS", "Contributions");
define("TITRE_AJOUTER_PROJET", "Add project");
define("PARTICIPANTS", "Participants");
define("SOUS_PROJETS", "Subprojects");
define("VRAIMENT_SUPPRIMER_PROJET", "Do you really want to delete the project ");

// projets_utilisateur
define("LISTE_PROJETS", "Project list");

//Suprimer_utilisateur
define("UTILISATEUR_SUPPRIME", "User removed.");

//administration_utilisateurs
define("TITRE_ADMINISTRATION_UTILISATEUR", "Users administration");
define("TITRE_DEMANDES_INSCRIPTION", "Registration queries");
define("PROJETS", "Projects");
define("AUCUNE", "None.");

//ajouter_contributeur
define("UTILISATEUR_AJOUTE", "User has joined the project !");

//changement_parametres_site
define("CHANGEMENT_EFFECTUE", "Parameters have been changed.");

//creation_compte_definitif
define("UTILISATEUR_ENREGISTRE", "User recorded");

//gestion_des_contributions
define("EDITER_CONTRIBUTION", "Edit contribution");
define("TITRE_EDITER_CONTRIBUTION", "Edit contribution");
define("TITRE_AJOUTER_CONTRIBUTION", "Add contribution");
define("CHANGER_PROJET", "Change the project");
define("NOM", "Name");
define("DERNIER_AUTEUR", "Latest author");
define("DATE", "Date");
define("ACTIONS", "Actions");

// projet_contribution
define("TITRE_MODIFIER_PROJET", "Change of project");

//parametres_du_site_jaxe
define("TITRE_PARAMETRES_SITE", "Administration: site parameters");
define("CONFIGURATION_PAR_DEFAUT", "Default configuration");
define("DOSSIER_SITE", "Name for sites directory");
define("DOSSIER_INTERFACE", "Name for site interface folder");
define("SERVEUR_BASE_DE_DONNEE", "Database server");
define("NOM_BASE_DE_DONNEE", "Database name");
define("LOGIN_BASE_DE_DONNEE", "Database login");
define("MOT_DE_PASSE_BASE_DE_DONNEE", "Database password");

// modifier_utilisateur
define("ADMINISTRATEUR", "Administrator");

//fichiers_associes
define("FICHIERS_ASSOCIES", "Associated files");
define("NOM_CONTRIBUTION", "Contribution name:");
define("SOUS_REPERTOIRE", "Subdirectories:");
define("FICHIERS", "Files:");
define("AJOUT_FICHIER", "Add a file in");
define("AJOUT_SOUS_DOSSIER", "Add a subdirectory in");
define("REVENIR_DOSSIER_PARENT", "Back to parent directory");
define("REVENIR_CONTRIBUTION", "Back to contribution");
define("SELECTION_MANQUANTE", "Please select a file !");
define("NOM_SOUSREPERTOIRE_MANQUANT", "Please enter the name of the subdirectory to create !");
define("TELECHARGER", "See image / Download");
define("RENOMMER", "Rename");
define("CREER_FICHIER_XML", "Create a new XML file in ");
define("NOM_MANQUANT", "Please enter the new name !");

// historique
define("COMPARER_PRECEDENT", "Compare with the previous version");
define("COMPARER_DERNIER", "Compare with the latest version");

//formulaires
define("NOM_FAMILLE", "Lastname");
define("PRENOM", "Firstname");
define("LOGIN", "Login");
define("EFFACER", "Delete");
define("CREER", "Create");
define("SUPPRIMER", "Delete");
define("MODIFIER", "Edit");
define("MODIFIER2", "Save");
define("PAS_AUTORISER", "Do not authorize");
define("AUTORISER", "Authorize");
define("JOINDRE", "Join");
define("AJOUTER", "Add");
define("CHANGER_PARAMETRES", "Change parameters");
define("VALIDER", "Validate");
define("MOT_DE_PASSE", "Password");
define("ANNULER", "Cancel");
define("EDITER", "Edit");
define("RETIRER", "Remove");
define("EMAIL", "E-mail");

//navigation
define("RETOUR",'Back');
define("RETOUR_ADMINISTRATION", "Back to administration");

//menu de gauche
define("PARTIE_UTILISATEUR", "User interface");
define("PARAMETRE_WEBJAXE", "WebJaxe parameters");
define("GESTION_CONTRIBUTIONS", "Contributions administration");
define("GESTION_UTILISATEURS", "Users administration");
define("DECONNECTION", "Disconnect");
define("RECHERCHE", "Search");

define("REINITIALISER", "Reset");

//erreurs
define("TITRE_ERREURS", "Error");
define("PAS_AUTORISE", "You are not authorized!");
define("CONTRIBUTION_PAS_CREEE", "Could not create contribution's main file !");
define("DEMANDE_REJETEE", "User's query has been denied.");
define("CONTRIBUTION_PAS_SUPPRIMEE", "the contribution was not removed.");
define("CONTACTER_ADMIN", "An error occured on the server, please contact the administrator if it keeps happening");
define("PROBLEME_PAGE", "An error occured in the page");
define("FICHIER_PAS_OUVERT", "Could not open file !");
define("FICHIER_CONTRIBUTION_PAS_CREE", "Could not create contribution's main file !");
define("FICHIER_INTROUVABLE", "File not found !");
define("NOM_FICHIER_PAS_VALIDE", "Invalid file name !");
define("IMPOSSIBLE_COPIER", "Could not copy file in destination directory !");
define("PAS_SUPRIMER_FICHIER", "You cannot remove this file");
define("PAS_SUPRIMER_DOSSIER", "You cannot remove this directory");
define("PAS_FICHIER", "The object you want to remove is not a file !");
define("PAS_DOSSIER", "The object you want to remove is not a directory !");
define("PAS_DOSSIER_2", "is not a directory");
define("POUBELLE_INTROUVABLE", "Trash not found !");
define("ERREUR_SUPPRESSION", "Error during removal !");
define("ERREUR_DEPLACEMENT", "Error when moving the directory !");
define("REPERTOIRE_EXISTANT", "This directory already exists !");
define("REPERTOIRE_PAS_CREE", "Could not create directory.");
//define("REPERTOIRE_PAS_SUPPRIME", "Directory has not been removed");
define("IMPOSSIBLE_OUVRIR_DOSSIER", "cannot open directory");
define("PAS_RENOMMER_FICHIER", "Forbidden renaming");
define("SANS_REFERENCE", "There is no reference to this file in the XML document");

define("AUCUN_RESULTAT", "No result found !");
define("MOT_MANQUANT", "Please enter a keyword !");

define("PAS_DE_PROJET", "There is no project !");
define("NOM_CONTRIBUTION_MANQUANT", "Please enter a name for the contribution !");
define("CONTRIBUTION_EXISTE_PAS", "This contribution does not exist");
//define("HISTORIQUE_EXISTE_PAS", "This historical does not exist");
define("REQUETE_LISTE_CONTRIBUTION", "Request for contribution list failed !");
define("ECHEC_CONNECTION_BD", "Connection to database server failed !");
define("ECHEC_CREATION_BD", "Could not create database");
define("PAS_CONNECTION", "No connection");
define("ECHEC_SELECTION_BD", "Could not select database !");
define("ECHEC_REQUETE", "Request failed !");
define("CONTRIB_MEME_NOM", "A contribution already exists with the same name !");
define("ECHEC_RECHERCHE_ID", "search for id failed !");
define("ERREUR_CREATION_TABLE", "An error occured when creating the table. Please check if a table with the same name already exists.");
define("ERREUR_COMPTE_ADMINISTRATEUR", "An error occured when creating the administrator account");

define("CONTRIB_TROUVEE","Contributions found");

define("ERREUR_LOGIN", "Login error : there is no user with this login !");

define("ECHEC_DONNEES_UTILISATEURS", "Could not get user data !");
define("ECHEC_DONNEES_POSTULANT_UTILISATEURS", "Could not get data on postulant user !");
define("ECHEC_SUPRIMER_UTILISATEUR", "Could not remove user !");
define("ECHEC_LISTE_UTILISATEUR", "Could not get the users list !");
define("ECHEC_LISTE_DEMANDES", "Could not get queries !");
define("ECHEC_UTILISATEUR_EXISTANT", "Could not check if the user already exists !");
define("UTILISATEUR_EXISTANT", "This login is already used, you must pick another one !");
define("ECHEC_CREATION_UTILISATEUR", "Could not create user !");
define("ECHEC_SUPPRESSION_UTILISATEUR", "Could not remove user from postulant users !");
define("ERREUR_MODIF_UTILISATEUR", "Could not change user profile !");
define("ERREUR_REFUS", "Could not refuse this user !");
define("ERREUR_LOGIN_EXISTANT", "This login is already used, you must pick another one !");
//define("FICHIER_PAS_SUPPRIME", "File has not been removed");
define("ERREUR_ENREGISTREMENT_FICHIER", "error when saving the file !");
define("ERREUR_ENREGISTREMENT_SESSION", "error when saving the file: the web browser did not transmit the session correctly\nWith Firefox 3, it is necessary to activate the option 'Accept third-party cookies'");
define("ECHEC_LISTE_PROJETS", "Request for project list failed !");
define("ECHEC_CREATION_PROJET", "Could not create project !");
define("ECHEC_SUPPRESSION_PROJET", "Could not remove project !");
define("PROJET_EXISTE_DEJA", "A project already exists with this title: ");
define("PROJET_EXISTE_PAS", "This project does not exist");
define("DEJA_SOUS_PROJET", "The project is already a subproject !");
define("DEJA_PROJET_PARENT", "The subproject is already a parent of the other !");

define("VARIABLES_VIDES", "Transmitted variables are empty !");

define("PAS_JAVA", "Java is not activated in your web browser.");
define("CONTRIBUTION_VEROUILLEE", "this contribution is locked by");
define("CONTRIBUTEUR_EXISTANT", "This user is already participating");
define("NOM_DE_FICHIER", "File name can only contain letters without accents, digits, and dashes '-' or underscores '_'");
define("NOM_DE_DOSSIER", "Directory name can only contain letters without accents, digits, and dashes '-' or underscores '_'");
define("NOM_DE_CONTRIBUTION", "Contribution name can only contain lowercase letters, digits and dashes");
define("NOM_CONFIG", "The config name can only contain letters without accents, digits, and dashes '-' or underscores '_'");
define("VERIFIE_PRENOM_UTILISATEUR", "User firstname can only contain letters, digits, spaces, dashes and underscores");
define("VERIFIE_NOM_UTILISATEUR", "User lastname can only contain letters, digits, spaces, dashes and underscores");
define("VERIFIE_LOGIN_UTILISATEUR", "User login can only contain lowercase letters without accents, digits, dashes and underscores");
define("VERIFIE_PASSWORD_UTILISATEUR", "User password can only contain letters, digits, dashes and underscores");
define("VERIFIE_TITRE_PROJET", "Project title can only contain letters, digits, spaces, dashes and underscores");
define("VERIFIE_ID", "invalid id");
define("VERIFIE_EMAIL_UTILISATEUR", "Email address not valid ");

define("ENTRER_PRENOM", "Please enter your firstname !");
define("ENTRER_NOM", "Please enter your lastname !");
define("ENTRER_LOGIN", "Please enter your login !");
define("ENTRER_PASSWD", "Please enter your password !");
define("HUIT_CARACTERES", "Password must contain at least 8 characters !");
//mots
define("FICHIER", "file");
define("LIGNE", "line");
define("RELOAD", "Reload");
define("LANGUE", "Language");

//titres
define("ADMINISTRATION", "Administration");
define("WEBJAXE_PARAMETRE_SITE", "WebJaxe: Administration: site parameters");
//define("AJOUT_CONTRIBUTION", "Add a contribution");
define("CHANGEMENT_PARAMETRES_SITE", "Site parameters modification");
//define("SUPPRIMER_DOSSIER", "remove a directory");
define("MODIFIER_UTILISATEUR", "Modify user profile");
//define("CREATION_COMPTE_DEFINITIF", "Create a definitive account");
define("INITIALISATION", "WebJaxe initialization");
define("TITRE_FICHIERS_ASSOCIES", "File management");
define("APERCU", "Preview");
define("INSCRIPTION", "Registration");

//define("UTILISATEUR", "User");
define("INSTALLATION", "Installation");
define("DESINSTALLER", "Uninstall WebJaxe");

define("LIGNES_AJOUTEES", "number of lines added");
define("LIGNES_SUPPRIMEES", "number of lines deleted");

//historiques
define("OCTETS", "bytes");
define("PAR", "by");
define("INCONNU", "Unknown");

//email
define("NOUVEAU_UTILISATEUR_WJ", "New WebJaxe user");
define("L_UTILISATEUR", "The user");
define("VIENT_SINSCRIRE_A_WJ", "just registered to WebJaxe.");

define("WJ_INSCRIPTION_VALIDEE", "WebJaxe: Registration validated");
define("BONJOUR", "Hi");
define("VOTRE_INSCRIPTION_VALIDEE", "Your registration to WebJaxe has been validated.");
define("VOTRE_LOGIN", "Your login is:");

define("ERREUR_ENVOI_SMTP", "SMTP error");
define("ERREUR_ENVOI_MAIL_PHP", "Error PHP mail function");

define("JETON_INVALIDE", "The request is not from the correct form !");
?>
